<?php

use boru\boruai\BoruAI;
use boru\boruai\Openai\OpenAI;

require_once __DIR__ . '/../vendor/autoload.php';

if(!php_sapi_name() == 'cli') {
    exit("This script can only be run from the command line.");
}
if(isset($_ENV['BORUAI_CONFIG']) && !empty($_ENV['BORUAI_CONFIG'])) {
    define('BORUAI_CONFIG', $_ENV['BORUAI_CONFIG']);
}
if(!defined('BORUAI_CONFIG')) {
    exit('BoruAI is not configured. Please define BORUAI_CONFIGURED before including this file.');
}


BoruAI::init(BORUAI_CONFIG);